Subject: bug#40888: M-x man: don't redraw good pages when not finding bad pages

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Thu, 06 Aug 2020 13:32:51 +0800

>>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:
LI> Me too...  but I don't think there's a redrawing of the cat page,
LI> really.

LI> What seems to be happening is that M-x man RET dog RET pops up a "*Man
LI> dog*" buffer in a window, and then starts working in the background.

LI> And then it can't find the dog man page, and then kills the buffer (and
LI> window).

LI> This makes everything redisplay, which is the blink we're seeing.

LI> I'm not sure whether anything can be done about this -- it's an artefact
LI> of working asynchronously, and then restoring window configurations.

LI> Anybody got any ideas?

Well, just like we don't purchase a house for our client before we check
if he has money in the bank, even if it means waiting for business
hours, it seems the program should first make sure what it intends to
display even exists. "test -f" certainly won't slow things down that much.